#include <amxmodx>

#define PLUGIN  "CS Revo: Auto Desbug"
#define VERSION "1.3"
#define AUTHOR  "Wilian M."

enum _:xMaxCvars
{
	Float:CVAR_TIME_DESBUG,
	CVAR_PLAY_SOUND,
	CVAR_SHOW_MSG_CHAT,
}

new xCvars[xMaxCvars]

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	bind_pcvar_float(create_cvar("csr_ad_time_desbug", "60", .description = "Tempo em segundos para acontecer o AutoDesbug", .has_min = true, .min_val = 1.0, .has_max = true, .max_val = 300.0), xCvars[CVAR_TIME_DESBUG])
	bind_pcvar_num(create_cvar("csr_ad_play_sound", "1", .description = "Ativar som ao desbugar? 1= Sim || 0= Não", .has_min = true, .min_val = 0.0, .has_max = true, .max_val = 1.0), xCvars[CVAR_PLAY_SOUND])
	bind_pcvar_num(create_cvar("csr_ad_show_msg_chat", "1", .description = "Mostrar mensagem que foi desbugado? 1= Sim || 0= Não", .has_min = true, .min_val = 0.0, .has_max = true, .max_val = 1.0), xCvars[CVAR_SHOW_MSG_CHAT])

	AutoExecConfig(true, "configs", "csr_auto_desbug")
}

public OnConfigsExecuted()
{
	set_task(xCvars[CVAR_TIME_DESBUG], "xAutoDesbug", _, _, _, "b")
}

public xAutoDesbug()
{
	if(get_playersnum(1) < 2)
		return
	
	server_cmd("sv_timeout 1;wait;wait;wait;wait;wait;wait;wait;wait;wait;sv_timeout 60")
	server_exec()

	if(xCvars[CVAR_PLAY_SOUND])
		client_cmd(0, "speak buttons/button1")

	if(xCvars[CVAR_SHOW_MSG_CHAT])
	{
		client_print_color(0, print_team_default, "^4_/¯\_")
		client_print_color(0, print_team_default, "^4( ^3`_^3´^4)")
		client_print_color(0, print_team_default, "^4<,====,==----- ^3Desbugando^1...")
		client_print_color(0, print_team_default, "^4_/¯\_")
	}
}